Получить результат работы операции

Возвращает результат работы операции.

Параметры:

  • operation_id: код операции

Request

GET

https://api.forms.yandex.net/v1/operations/{operation_id}

Path parameters

Name

Description

operation_id

Type: string

Example: ``

Responses

200 OK

OK

Body

application/json
{
  "id": "example",
  "status": "ok",
  "message": "example",
  "result": {
    "status": 0,
    "href": "example"
  }
}

Name

Description

id

Type: string

Код операции

Example: example

status

All of 1 type
  • OperationStatusType

    Type: OperationStatusType

    An enumeration.

    Enum: ok, fail, wait, not_running

Статус операции

Example: ok

message

Type: string

Текст операции

Example: example

result

All of 1 type

Результат завершившейся операции

Example
{
  "status": 0,
  "href": "example"
}

OperationStatusType

An enumeration.

Type: string

Enum: ok, fail, wait, not_running

OperationResultOut

Name

Description

status

Type: integer

HTTP-статус (код) завершившейся операции

href

Type: string

URL для редиректа

Example: example

Example
{
  "status": 0,
  "href": "example"
}
Предыдущая
Следующая